<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>Member List (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">iBillboard Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="structiBillboard.html">iBillboard</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="structiBillboard.html#a588b9d837abfa027fc0e6b7e5cf8889e">AddEventHandler</a>(iBillboardEventHandler *evh)=0</td><td><a class="el" href="structiBillboard.html">iBillboard</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a5d0ec17cc4948f7bdcf668fcb52b9eb1">AddRefOwner</a>(void **ref_owner)=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboard.html#aebba80bbfb6ce2a12e3905611a118d4e">ClearTextBgColor</a>()=0</td><td><a class="el" href="structiBillboard.html">iBillboard</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboard.html#a6a32acbf89fa9b42e13ccf543356dba0">ClearTextFgColor</a>()=0</td><td><a class="el" href="structiBillboard.html">iBillboard</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a3a44d46ca155e6ab0c0179db01011bb0">DecRef</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboard.html#aac5e455e02303fc4b74dc78fb9068a17">DrawMesh</a>(const char *material_name, const char *factory, const csVector3 &amp;rotate=csVector3(0, 0, 0), float angle=0.0f, float distance=-1.0f)=0</td><td><a class="el" href="structiBillboard.html">iBillboard</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboard.html#a4e6ca2e73a2611badcb3c3149b4ada01">GetColor</a>() const =0</td><td><a class="el" href="structiBillboard.html">iBillboard</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboard.html#a263388086ba67271255eb3e34a1e3bb4">GetFlags</a>()=0</td><td><a class="el" href="structiBillboard.html">iBillboard</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboard.html#a607dafec45dc9ef541bc2ce572066341">GetImageSize</a>(int &amp;w, int &amp;h)=0</td><td><a class="el" href="structiBillboard.html">iBillboard</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#aeebf94ff535afffc22fcbfe869b70c30">GetInterfaceMetadata</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboard.html#ae329adeafe2fb58fb728db66d648ad97">GetLayer</a>() const =0</td><td><a class="el" href="structiBillboard.html">iBillboard</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboard.html#aef64bec77490332fd658b2a249c4234e">GetMaterialName</a>()=0</td><td><a class="el" href="structiBillboard.html">iBillboard</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboard.html#adfb6714082e5125c11d4dfb2889c35da">GetName</a>() const =0</td><td><a class="el" href="structiBillboard.html">iBillboard</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboard.html#adeb1d34d7717c38349ea0b39aa705e91">GetPosition</a>(int &amp;x, int &amp;y) const =0</td><td><a class="el" href="structiBillboard.html">iBillboard</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a74696c1b99c7161216ee26161944adfd">GetRefCount</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboard.html#a70df7cb1dd400f5c114ed5a94b08eaaa">GetRotation</a>() const =0</td><td><a class="el" href="structiBillboard.html">iBillboard</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboard.html#a30392a04300a08c85a6b93ff2368aa97">GetSize</a>(int &amp;w, int &amp;h)=0</td><td><a class="el" href="structiBillboard.html">iBillboard</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboard.html#ac1ee04a3b92a3c53a5af4c6dafb27335">GetText</a>() const =0</td><td><a class="el" href="structiBillboard.html">iBillboard</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboard.html#acb58b4daf978eb32d8926dc5d731d27d">GetTextBgColor</a>() const =0</td><td><a class="el" href="structiBillboard.html">iBillboard</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboard.html#a8ff81a9ca94d2420ae0816a16e298c86">GetTextDimensions</a>(int &amp;w, int &amp;h)=0</td><td><a class="el" href="structiBillboard.html">iBillboard</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboard.html#af104f091488c3c459b059dd4e165b8ca">GetTextFgColor</a>() const =0</td><td><a class="el" href="structiBillboard.html">iBillboard</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboard.html#ae66da7559f3f304c0598316596d2c141">GetTextFont</a>() const =0</td><td><a class="el" href="structiBillboard.html">iBillboard</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboard.html#ac6449fb3e1e8b4fd7574c502b8914492">GetTextFontSize</a>() const =0</td><td><a class="el" href="structiBillboard.html">iBillboard</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboard.html#ae6050a64a931987c3816321e40ee5fdf">GetTextOffsetDX</a>() const =0</td><td><a class="el" href="structiBillboard.html">iBillboard</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboard.html#aa00c86d18fa65fbd4eb988b85b82b119">GetTextOffsetDY</a>() const =0</td><td><a class="el" href="structiBillboard.html">iBillboard</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboard.html#a9d7dd5b1cd0f0d2eda54963aa355d91c">GetUVBottomRight</a>() const =0</td><td><a class="el" href="structiBillboard.html">iBillboard</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboard.html#a980d0360b7b8d69ca636347e3e68f6db">GetUVTopLeft</a>() const =0</td><td><a class="el" href="structiBillboard.html">iBillboard</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a426a2763702fbbc33a213f849042284a">IncRef</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboard.html#a67208fe89e88d5e9bc1f19b23afda5f8">IsTextBgTransparent</a>() const =0</td><td><a class="el" href="structiBillboard.html">iBillboard</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboard.html#abdbe158aa8ac1e5d2bb9c28457742439">Move</a>(int dx, int dy)=0</td><td><a class="el" href="structiBillboard.html">iBillboard</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboard.html#a18a164ac1b4c62cfcf2e12cdeea4f256">MoveToPosition</a>(csTicks delta, int x, int y)=0</td><td><a class="el" href="structiBillboard.html">iBillboard</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a2adc74eb0286a65f2310f221be4ddded">QueryInterface</a>(scfInterfaceID iInterfaceID, int iVersion)=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboard.html#a474315b2ba38f2124ac6a9942577a7c3">RemoveEventHandler</a>(iBillboardEventHandler *evh)=0</td><td><a class="el" href="structiBillboard.html">iBillboard</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a0292fc77bd2b4f8ff5ff25e9540417e0">RemoveRefOwner</a>(void **ref_owner)=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboard.html#a909846bec5ec86f22a4f6995885c4b30">SetColor</a>(const csColor &amp;c)=0</td><td><a class="el" href="structiBillboard.html">iBillboard</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboard.html#aef878f5ce034da0d477859c61717cad5">SetLayer</a>(iBillboardLayer *layer)=0</td><td><a class="el" href="structiBillboard.html">iBillboard</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboard.html#afad7bba67a9187eb90b523e2aa5ea147">SetMaterialName</a>(const char *matname)=0</td><td><a class="el" href="structiBillboard.html">iBillboard</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboard.html#a75a5904513dab10390da3f1ccd70e376">SetMaterialNameFast</a>(const char *matname)=0</td><td><a class="el" href="structiBillboard.html">iBillboard</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboard.html#a5086c24a8711efee7ebb51eeac82f84d">SetPosition</a>(int x, int y)=0</td><td><a class="el" href="structiBillboard.html">iBillboard</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboard.html#a8b6bd96945a5d7eebb93797f0a8922ba">SetRotation</a>(float angle)=0</td><td><a class="el" href="structiBillboard.html">iBillboard</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboard.html#a5df7377bf74e94527afca6abf1ad1625">SetSize</a>(int w, int h)=0</td><td><a class="el" href="structiBillboard.html">iBillboard</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboard.html#a0f73e77217fced40c4a08aab7712b369">SetText</a>(const char *txt)=0</td><td><a class="el" href="structiBillboard.html">iBillboard</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboard.html#a9b9ed1c50d6560d5168fc99cf5cdb2dc">SetTextBgColor</a>(const csColor &amp;color)=0</td><td><a class="el" href="structiBillboard.html">iBillboard</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboard.html#a79e942863dca0162533bfb5fad8e24b7">SetTextBgTransparent</a>()=0</td><td><a class="el" href="structiBillboard.html">iBillboard</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboard.html#aa28f68dde2838d1cd5a30eb4fe92ebed">SetTextFgColor</a>(const csColor &amp;color)=0</td><td><a class="el" href="structiBillboard.html">iBillboard</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboard.html#a63df3e3e572878b193410d30aafd2158">SetTextFont</a>(const char *fontname, float fontsize)=0</td><td><a class="el" href="structiBillboard.html">iBillboard</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboard.html#aa44417c5bba4a4a60357afabceecd67e">SetTextOffset</a>(int dx, int dy)=0</td><td><a class="el" href="structiBillboard.html">iBillboard</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboard.html#a7f7304f03220f0a750b0bf0b13283727">SetUVBottomRight</a>(const csVector2 &amp;uv)=0</td><td><a class="el" href="structiBillboard.html">iBillboard</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboard.html#adc7df3542b63cf2ec317fb36395e708f">SetUVTopLeft</a>(const csVector2 &amp;uv)=0</td><td><a class="el" href="structiBillboard.html">iBillboard</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboard.html#a4ff2b7f9b4c74bb82d766fa9c03bfcdb">StackAfter</a>(iBillboard *other)=0</td><td><a class="el" href="structiBillboard.html">iBillboard</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboard.html#af7b8df2125955f744a41cd8c8f806b50">StackBefore</a>(iBillboard *other)=0</td><td><a class="el" href="structiBillboard.html">iBillboard</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboard.html#acb307dbb70eb5e40f124f31ced2d3feb">StackBottom</a>()=0</td><td><a class="el" href="structiBillboard.html">iBillboard</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboard.html#ace3e4dcd66df111b29b1d3e376185543">StackDown</a>()=0</td><td><a class="el" href="structiBillboard.html">iBillboard</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboard.html#ae7ef2518f6d60aeefb523a65cdf876b1">StackTop</a>()=0</td><td><a class="el" href="structiBillboard.html">iBillboard</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiBillboard.html#a6c23af44e600b96b207ff45af8cb8ba5">StackUp</a>()=0</td><td><a class="el" href="structiBillboard.html">iBillboard</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a64186fd7973d2ef0bc16013e302b6ea3">~iBase</a>()</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [protected, virtual]</code></td></tr>
</table></div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
